use "数据.dta", clear
xtset id year
global C Size KL Debet Age MKP Pcm
tabstat Wgapabi Wgapski AI $C,s(N mean sd min p25 median p75 max) //描述性统计
corr Wgapabi AI $C
corr Wgapski AI $C //相关性检验
reg Wgapabi AI $C,r
vif
reg Wgapski AI $C,r
vif //多重共线性检验


*********************************基准回归分析**********************************
xtreg Wgapabi AI i.year,fe r
xtreg Wgapabi AI $C i.year,fe r
xtreg Wgapski AI i.year,fe r
xtreg Wgapski AI $C i.year,fe r
xtreg Wgapd AI i.year,fe r
xtreg Wgapd AI $C i.year,fe r


**********************************稳健性检验***********************************
///内生性讨论
//工具变量法
xtivreg2 Wgapd $C year2-year10 (AI=IV1),fe r first savefp(first)
xtivreg2 Wgapd $C year2-year10 (AI=IV2),fe r first savefp(first)
//增加宏观层面控制变量
reghdfe Wgapd AI $C FI, absorb(id citycode_year year) vce(r)

///更换核心变量
xtreg Wgapd AI_1 $C i.year,fe r
xtreg Wgapd AI_2 $C i.year,fe r
xtreg Wgapd AI_3 $C i.year,fe r
xtreg Wgapd AI_4 $C i.year,fe r
xtreg Wage AI Unrt Skill AIUnrt AISkill $C i.year,fe r

///改变样本范围
//保留工业行业数据
xtreg Wgapd AI $C i.year if iom>5&iom<47,fe r
//保留制造业行业数据
xtreg Wgapd AI $C i.year if iom>12&iom<44,fe r
//删除top1
xtreg Wgapd AI $C i.year if ifrcode!="29",fe r
//删除top1、top3行业
xtreg Wgapd AI $C i.year if ifrcode!="29"&ifrcode!="26-27"&ifrcode!="22",fe r


**********************************异质性分析***********************************
///所有权性质
xtreg Wgapd AI SOE AISOE $C i.year,fe r

///行业平均工资异质性
xtreg Wgapd AI INWage AIINWage $C i.year,fe r

///行业发展异质性
xtreg Wgapd AI ED AIED $C i.year,fe r

///要素密集度异质性
xtreg Wgapd AI FI AIFI $C i.year,fe r


***********************************作用机制分析********************************
///替代效应
ivmediate Wgapabi $C year2-year10, mediator(dLS) treatment(AI) instrument(IV1) absorb(id) full vce(r) 

///生产率效应
ivmediate Wgapabi $C year2-year10, mediator(TFP) treatment(AI) instrument(IV1) absorb(id) full vce(r) 


************************************拓展内容分析*********************************
xtreg dLS AI τl AIτl $C i.year,fe r
xtreg TFP AI τl AIτl $C i.year,fe r
xtreg Wgapabi AI τl AIτl $C i.year,fe r
xtreg Wgapabi AI Labor_flow AILabor_flow $C i.year,fe r
xtreg Wgapabi AI LST AILST $C i.year,fe r
